mod routes;
mod sbot;
mod utils;
mod db;

use xdg::BaseDirectories;


use rocket::{launch, routes};
use rocket_dyn_templates::Template;

use crate::{db::Database, routes::*};

#[launch]
async fn rocket() -> _ {

    let xdg_dirs = BaseDirectories::with_prefix("lykin").unwrap();

    let db_path = xdg_dirs
        .place_config_file("database")
        .expect("Cannot create database directory");

    let db = Database::init(&db_path);

    rocket::build()
        .manage(db)
        .attach(Template::fairing())
        .mount("/", routes![home, subscribe_form, unsubscribe_form, about_start, about_form])
}
